* {
  box-sizing: border-box;
}

@font-face {
  font-family: "Segoe UI";
  src: url("../fonts/SegoeUI.woff2");
  font-display: swap;
  font-weight: 400;
}

@font-face {
  font-family: "Segoe UI";
  src: url("../fonts/SegoeUISemiBold.woff2");
  font-display: swap;
  font-weight: 600;
}

@font-face {
  font-family: "Segoe UI";
  src: url("../fonts/SegoeUIBold.woff2");
  font-display: swap;
  font-weight: 700;
}

body {
  margin: 0;
  padding: 20px;
  background: #EEF1F7;
  font-family: "Segoe UI", sans-serif;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;

  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.content {
  display: flex;
  align-items: flex-start;
  gap: 24px;
  margin: 0 auto;
  border-radius: 24px;
  padding: 28px;
  max-width: 1180px;
  background: #fff;
}

.content__form {
  display: flex;
  flex-direction: column;
  gap: 24px;
  flex: 1;
}

.content__inner {
  display: none;
  flex-direction: column;
  gap: 24px;
}

.content__inner--active {
  display: flex;
}

.content__aside {
  border-radius: 20px;
  padding: 20px;
  flex-shrink: 0;
  width: 340px;
  background: #fafbfe;
}

.content__btns {
  display: flex;
  align-items: center;
  gap: 12px;
}

.content__btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
  border: none;
  border-radius: 12px;
  padding: 12px 16px;
  font-family: inherit;
  font-weight: 600;
  font-size: 16px;
  line-height: 120%;
  color: #20263a;
  background: #f2f4f9;
  cursor: pointer;
  transition: color 0.3s, background 0.3s;
}

.content__btn svg {
  fill: currentColor;
}

.content__btns .content__btn {
  flex: 1;
}

.content__btn--back {
  display: none;
}

.content__btn--back.content__btn--visible {
  display: inline-flex;
}

.content__btn--active {
  color: #fff;
  background: #4c6fff;
  pointer-events: none;
}

.content__btn:hover {
  color: #fff;
  background: #4c6fff;
}

.content__btn--forward {
  margin-left: auto;
  color: #fff;
  background: #4c6fff;
}

.content__btn--forward:hover {
  background: #3c57c8;
}

.content__block {
  border: 1px solid #e5e8f0;
  border-radius: 20px;
  padding: 20px;
}

.content__subtitle {
  margin: 0;
  margin-bottom: 20px;
  font-weight: 700;
  font-size: 24px;
  line-height: 120%;
  color: #20263a;
}

.content__items {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
}

.content__label {
  display: flex;
  flex-direction: column;
  width: calc(50% - 8px);
  gap: 8px;
}

.content__label--full {
  width: 100%;
}

.content__caption {
  font-weight: 400;
  font-size: 12px;
  line-height: 120%;
  color: #6b7280;
}

.content__input {
  border: 1px solid #d9e0ea;
  border-radius: 16px;
  padding: 0px 16px;
  height: 54px;
  font-family: inherit;
  font-weight: 400;
  font-size: 16px;
  line-height: 120%;
  color: #1f2937;
  background: #fafbfe;
}

.content__input--textarea {
  padding: 16px;
  resize: none;
  height: 90px;
}

.content__input::placeholder {
  color: #1f2937;
}

.choices[data-type="select-one"] .choices__inner {
  display: flex;
  align-items: center;
  border: 1px solid #d9e0ea;
  border-radius: 16px;
  padding: 0px 16px;
  height: 54px;
  font-family: inherit;
  font-weight: 400;
  font-size: 16px;
  line-height: 120%;
  color: #1f2937;
  background: #fafbfe;
}

.choices__list {
  padding: 8px 0;
}

.choices[data-type*=select-one]:focus-visible {
  border-radius: 16px;
  outline: 1px solid #000;
}

.choices[data-type*=select-one]::after {
  right: 16px;
  top: 50%;
  margin: 0;
  border: none;
  width: 16px;
  height: 16px;
  background-image: url("../img/angle.svg");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  translate: 0 -50%;
}

.choices[data-type*=select-one].is-open::after {
  margin: 0;
  rotate: 180deg;
}

.choices__list[aria-expanded] {
  z-index: 2;
  margin-top: 4px;
  border: 1px solid #d9e0ea !important;
  border-radius: 16px;
  background: #fafbfe;
}

.is-flipped .choices__list--dropdown,
.is-flipped .choices__list[aria-expanded] {
  margin-bottom: 4px;
  border-radius: 16px;
}

.choices__list[aria-expanded] .choices__item {
  padding: 8px 16px;
  font-size: 16px;
  color: #1f2937;
}

.choices__list--dropdown .choices__item--selectable.is-highlighted, .choices__list--dropdown .choices__item--selectable.is-selected, .choices__list[aria-expanded] .choices__item--selectable.is-highlighted, .choices__list[aria-expanded] .choices__item--selectable.is-selected {
  color: #fff;
  background: #4f6ef7;
}

.content__radios {
  display: flex;
  width: 100%;
  gap: 16px;
}

.content__radio {
  flex: 1;
}

.custom-radio {
  position: relative;
}

.custom-radio__input {
  position: absolute;
  opacity: 0;
  appearance: none;
}

.custom-radio__elem {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #dbe2ef;
  border-radius: 16px;
  padding: 16px;
  min-height: 51px;
  font-weight: 400;
  font-size: 16px;
  line-height: 120%;
  color: #20263a;
  cursor: pointer;
  transition: border 0.3s, background 0.3s;
}

.custom-radio__input:checked + .custom-radio__elem {
  border: 1px solid #4c6fff;
  background: #f5f7ff;
}

.custom-radio__input:focus-visible + .custom-radio__elem {
  border: 1px solid #20263a;
}

.custom-radio__elem:hover {
  border: 1px solid #4c6fff;
  background: #f5f7ff;
}

.content__bottom {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 24px;
}

.content__list {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.content__item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-weight: 400;
  font-size: 16px;
  line-height: 120%;
  color: #20263a;
}

.content__item b {
  font-weight: 700;
}

.content__full {
  margin-top: 16px;
  border-top: 1px solid #dde3ef;
  padding-top: 16px;
  font-weight: 700;
  font-size: 20px;
  line-height: 120%;
  color: #20263a;
}
